Debian Bug report logs - #731664
liferea: "Segmentation fault" during startup

version graph

Package: liferea; Maintainer for liferea is David Michael Smith <sidicas2@gmail.com>; Source for liferea is src:liferea.

Reported by: anfi <anfi@onet.eu>

Date: Sun, 8 Dec 2013 01:27:02 UTC

Severity: important

Merged with 731663

Found in version liferea/1.10.3-1

Fixed in version liferea/1.10.8-1

Done: Paul Gevers <elbrus@debian.org>

Forwarded to https://sourceforge.net/p/liferea/bugs/1121/

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, anfi@onet.eu, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#731664; Package liferea. (Sun, 08 Dec 2013 01:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to anfi <anfi@onet.eu>:
New Bug report received and forwarded. Copy sent to anfi@onet.eu, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 08 Dec 2013 01:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: anfi <anfi@onet.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liferea: "Segmentation fault" during startup
Date: Sun, 08 Dec 2013 02:23:44 +0100
Package: liferea
Version: 1.10.3-1
Severity: grave
Justification: renders package unusable

liferea can be started due to "segmentation fault" during startup.

"liferea --dedug-all" produces:
[....]
GUI    : item list selection changed to "(null)"

(liferea:15606): Gtk-CRITICAL **: gtk_tree_store_get_path: assertion
`iter->stamp == priv->stamp' failed

(liferea:15606): Gtk-CRITICAL **: gtk_tree_view_set_cursor_on_cell: assertion
`path != NULL' failed

(liferea:15606): Gtk-CRITICAL **: gtk_tree_view_scroll_to_cell: assertion
`tree_view->priv->tree != NULL' failed
HTML   : HTML view: selecting "To show all actions in one dialog. Like android
email client attachment button"
Segmentation fault



-- System Information:
Debian Release: jessie/sid
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'stable-updates'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.11-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liferea depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.18.0-1
ii  gir1.2-gtk-3.0                               3.8.4-1
ii  gir1.2-peas-1.0                              1.8.1-1
ii  libatk1.0-0                                  2.10.0-2
ii  libc6                                        2.17-97
ii  libcairo2                                    1.12.16-2
ii  libgdk-pixbuf2.0-0                           2.28.2-1
ii  libgirepository-1.0-1                        1.36.0-2+b1
ii  libglib2.0-0                                 2.36.4-1
ii  libgtk-3-0                                   3.8.4-1
ii  libindicate5                                 0.6.92-2
ii  libjson-glib-1.0-0                           0.16.2-1
ii  libnotify4                                   0.7.6-1
ii  libpango-1.0-0                               1.36.0-1
ii  libpeas-1.0-0                                1.8.1-1
ii  libsoup2.4-1                                 2.44.1-1
ii  libsqlite3-0                                 3.8.1-1
ii  libwebkitgtk-3.0-0                           2.2.2-1
ii  libxml2                                      2.9.1+dfsg1-3
ii  libxslt1.1                                   1.1.28-2
ii  liferea-data                                 1.10.3-1
ii  python-gi                                    3.8.2-1
pn  python:any                                   <none>

Versions of packages liferea recommends:
ii  dbus                     1.6.18-1
ii  dbus-x11                 1.6.18-1
ii  gir1.2-gnomekeyring-1.0  3.4.1-1
ii  gnome-icon-theme         3.10.0-1
ii  gnome-keyring            3.8.2-2
ii  kget                     4:4.11.3+dfsg-1

Versions of packages liferea suggests:
ii  network-manager  0.9.8.0-5

-- debconf-show failed



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#731664; Package liferea. (Sun, 08 Dec 2013 04:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Sidicas ." <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 08 Dec 2013 04:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 731664@bugs.debian.org (full text, mbox):

From: "Sidicas ." <sidicas2@gmail.com>
To: anfi <anfi@onet.eu>, 731664@bugs.debian.org
Subject: Re: Bug#731663: liferea: "Segmentation fault" during startup
Date: Sat, 7 Dec 2013 22:56:31 -0500
[Message part 1 (text/plain, inline)]
Can you install the liferea-dbg package and get a full backtrace using gdb?

Thanks for the bug report.

-David
 Package: liferea
Version: 1.10.3-1
Severity: normal

liferea can not be started. It generates "Segmentation fault"

"liferea --degug-all" produces:

GUI    : item list selection changed to "(null)"
[...]
(liferea:15606): Gtk-CRITICAL **: gtk_tree_store_get_path: assertion
`iter->stamp == priv->stamp' failed

(liferea:15606): Gtk-CRITICAL **: gtk_tree_view_set_cursor_on_cell:
assertion
`path != NULL' failed

(liferea:15606): Gtk-CRITICAL **: gtk_tree_view_scroll_to_cell: assertion
`tree_view->priv->tree != NULL' failed
HTML   : HTML view: selecting "To show all actions in one dialog. Like
android
email client attachment button"
Segmentation fault



-- System Information:
Debian Release: jessie/sid
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'stable-updates'), (500,
'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.11-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liferea depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.18.0-1
ii  gir1.2-gtk-3.0                               3.8.4-1
ii  gir1.2-peas-1.0                              1.8.1-1
ii  libatk1.0-0                                  2.10.0-2
ii  libc6                                        2.17-97
ii  libcairo2                                    1.12.16-2
ii  libgdk-pixbuf2.0-0                           2.28.2-1
ii  libgirepository-1.0-1                        1.36.0-2+b1
ii  libglib2.0-0                                 2.36.4-1
ii  libgtk-3-0                                   3.8.4-1
ii  libindicate5                                 0.6.92-2
ii  libjson-glib-1.0-0                           0.16.2-1
ii  libnotify4                                   0.7.6-1
ii  libpango-1.0-0                               1.36.0-1
ii  libpeas-1.0-0                                1.8.1-1
ii  libsoup2.4-1                                 2.44.1-1
ii  libsqlite3-0                                 3.8.1-1
ii  libwebkitgtk-3.0-0                           2.2.2-1
ii  libxml2                                      2.9.1+dfsg1-3
ii  libxslt1.1                                   1.1.28-2
ii  liferea-data                                 1.10.3-1
ii  python-gi                                    3.8.2-1
pn  python:any                                   <none>

Versions of packages liferea recommends:
ii  dbus                     1.6.18-1
ii  dbus-x11                 1.6.18-1
ii  gir1.2-gnomekeyring-1.0  3.4.1-1
ii  gnome-icon-theme         3.10.0-1
ii  gnome-keyring            3.8.2-2
ii  kget                     4:4.11.3+dfsg-1

Versions of packages liferea suggests:
ii  network-manager  0.9.8.0-5

-- debconf-show failed
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#731664; Package liferea. (Sun, 08 Dec 2013 06:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrzej Filip <anfi@onet.eu>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 08 Dec 2013 06:57:04 GMT) Full text and rfc822 format available.

Message #15 received at 731664@bugs.debian.org (full text, mbox):

From: Andrzej Filip <anfi@onet.eu>
To: 731664@bugs.debian.org
Subject: Bug#731664: liferea: "Segmentation fault" during startup (gdb info)
Date: Sun, 08 Dec 2013 07:54:28 +0100
gdb results

[...]
Program received signal SIGSEGV, Segmentation fault.
enclosure_list_view_load (elv=0x0, item=item@entry=0x869b678) at
enclosure_list_view.c:248
248    enclosure_list_view.c: No such file or directory.

Stack dump:
#0  enclosure_list_view_load (elv=0x0, item=item@entry=0x869b678) at
enclosure_list_view.c:248
#1  0x080883f0 in itemview_select_item (item=item@entry=0x869b678) at
itemview.c:189
#2  0x0808d3f3 in liferea_shell_create (app=app@entry=0xb20056c8,
overrideWindowState=0x0) at liferea_shell.c:1361
#3  0x08074f11 in on_app_activate (app=0xb20056c8, user_data=0x0) at
main.c:87
#4  0xb566d2c3 in g_cclosure_marshal_VOID__VOID () from
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#5  0xb566b69e in g_closure_invoke () from
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#6  0xb567d149 in ?? () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#7  0xb5684b85 in g_signal_emit_valist () from
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#8  0xb5684dd3 in g_signal_emit () from
/usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#9  0xb58ee959 in g_application_activate () from
/usr/lib/i386-linux-gnu/libgio-2.0.so.0
#10 0xb58eec70 in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#11 0xb58eed9e in g_application_run () from
/usr/lib/i386-linux-gnu/libgio-2.0.so.0
#12 0x0805d343 in main (argc=1, argv=0xbffff554) at main.c:262



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#731664; Package liferea. (Sun, 08 Dec 2013 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "tinytinyrss.servers@gmail.com" <tinytinyrss.servers@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 08 Dec 2013 13:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 731664@bugs.debian.org (full text, mbox):

From: "tinytinyrss.servers@gmail.com" <tinytinyrss.servers@gmail.com>
To: Andrzej Filip <anfi@onet.eu>, 731664@bugs.debian.org
Subject: Re: Bug#731664: liferea: "Segmentation fault" during startup (gdb info)
Date: Sun, 08 Dec 2013 21:03:32 +0800
On 12/08/2013 02:54 PM, Andrzej Filip wrote:
> gdb results
> 
> [...] Program received signal SIGSEGV, Segmentation fault. 
> enclosure_list_view_load (elv=0x0, item=item@entry=0x869b678) at 
> enclosure_list_view.c:248 248    enclosure_list_view.c: No such
> file or directory.
> 

Can you try running:
dconf write /org/gnome/liferea/last-item-selected 0

and let me know if that fixes it?





Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#731664; Package liferea. (Mon, 09 Dec 2013 00:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrzej Filip <anfi@onet.eu>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 09 Dec 2013 00:54:09 GMT) Full text and rfc822 format available.

Message #25 received at 731664@bugs.debian.org (full text, mbox):

From: Andrzej Filip <anfi@onet.eu>
To: 731664@bugs.debian.org
Cc: "tinytinyrss.servers@gmail.com" <tinytinyrss.servers@gmail.com>
Subject: Re: Bug#731664: liferea: "Segmentation fault" during startup (gdb info)
Date: Mon, 09 Dec 2013 01:50:30 +0100
On 12/08/2013 02:03 PM, tinytinyrss.servers@gmail.com wrote:
> On 12/08/2013 02:54 PM, Andrzej Filip wrote:
>> gdb results
>>
>> [...] Program received signal SIGSEGV, Segmentation fault. 
>> enclosure_list_view_load (elv=0x0, item=item@entry=0x869b678) at 
>> enclosure_list_view.c:248 248    enclosure_list_view.c: No such
>> file or directory.
>>
> Can you try running:
> dconf write /org/gnome/liferea/last-item-selected 0
>
> and let me know if that fixes it?
It fixed "no start" at once.  There has been one or two 'segmentation
faults" AFTER startup but liferea seems to be back to normal.



Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#731664; Package liferea. (Mon, 09 Dec 2013 01:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Mon, 09 Dec 2013 01:09:04 GMT) Full text and rfc822 format available.

Message #30 received at 731664@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: Andrzej Filip <anfi@onet.eu>, 731664@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#731664: liferea: "Segmentation fault" during startup (gdb info)
Date: Mon, 09 Dec 2013 09:05:22 +0800
forwarded 731664 https://sourceforge.net/p/liferea/bugs/1121/
severity 731664 important
thanks.

On 12/09/2013 08:50 AM, Andrzej Filip wrote:
> On 12/08/2013 02:03 PM, tinytinyrss.servers@gmail.com wrote:
>>
>> Can you try running:
>> dconf write /org/gnome/liferea/last-item-selected 0
>>
>> and let me know if that fixes it?
> It fixed "no start" at once.  There has been one or two 'segmentation
> faults" AFTER startup but liferea seems to be back to normal.
>
Upstream reported this issue fixed in 1.10.2, but it looks like this bug
is still around.  Arch linux users have also reported getting this bug.

Thanks again for the bug report, it's been sent upstream and we're
waiting for a fix.

-David






Set Bug forwarded-to-address to 'https://sourceforge.net/p/liferea/bugs/1121/'. Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 01:09:12 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'grave' Request was from David Smith <sidicas2@gmail.com> to control@bugs.debian.org. (Mon, 09 Dec 2013 01:09:13 GMT) Full text and rfc822 format available.

Reply sent to Paul Gevers <elbrus@debian.org>:
You have taken responsibility. (Sun, 13 Apr 2014 19:21:05 GMT) Full text and rfc822 format available.

Notification sent to anfi <anfi@onet.eu>:
Bug acknowledged by developer. (Sun, 13 Apr 2014 19:21:05 GMT) Full text and rfc822 format available.

Message #39 received at 731664-done@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 731664-done@bugs.debian.org
Subject: Re: Re: Bug#731664: liferea: "Segmentation fault" during startup (gdb info)
Date: Sun, 13 Apr 2014 21:17:33 +0200
[Message part 1 (text/plain, inline)]
On 09-12-13 02:05, David Smith wrote:
> forwarded 731664 https://sourceforge.net/p/liferea/bugs/1121/

... was closed as fixed in 1.10.6. Debian now has 1.10.8 so this bug
should be closed.

Paul

[signature.asc (application/pgp-signature, attachment)]

Merged 731663 731664 Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Sun, 13 Apr 2014 19:24:10 GMT) Full text and rfc822 format available.

Marked as fixed in versions liferea/1.10.8-1. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Mon, 14 Apr 2014 05:42:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:08:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.